Package: groovy.swing.factory

## [Groovy] Class BeanFactory

- groovy.swing.factory.BeanFactory

-     class BeanFactory
      extends AbstractFactory

  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `leaf` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BeanFactory(Class beanClass)`
    `BeanFactory(Class beanClass, boolean leaf)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### protected final boolean leaf

  - ### Property Detail

    - #### final Class beanClass

  - ### Constructor Detail

    - #### BeanFactory(Class beanClass)

    - #### BeanFactory(Class beanClass, boolean leaf)

  - ### Method Detail

    - #### boolean isLeaf()

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)